Cyberduck Mountain Duck CLI

#10683 closed feature (worksforme)

How to transfer files by cli between 2 Onedrive Business accounts?

Reported by: pardub Owned by:
Priority: normal Milestone:
Component: cli Version: 6.9.4
Severity: normal Keywords:
Cc: Architecture:
Platform: Linux

Description (last modified by pardub)

Good afternoon,

I tried many times to copy a file from a OneDrive Business account ( bostonatexample.com) to another a OneDrive Business account ( chicagoatexample.com) by CLI but it keeps failing.

I would appreciate if you could provide me the correct syntax through an example (like the one below but which is not correct.)

duck --username bostonatexample.com --copy "onedrive://Folder1/File1.txt" --username chicagoatexample.com "onedrive://Folder2/"

Regards,

Change History (7)

comment:1 Changed on Apr 17, 2019 at 12:00:00 PM by pardub

  • Description modified (diff)

comment:2 Changed on Apr 17, 2019 at 12:00:17 PM by pardub

  • Description modified (diff)

comment:3 Changed on Jun 4, 2019 at 7:21:08 PM by dkocher

  • Component changed from core to cli
  • Resolution set to worksforme
  • Status changed from new to closed

Please try

duck --copy onedrive:bostonatexample.com@/Folder1/File1.txt onedrive:chicagoatexample.com@/Folder2/

comment:4 Changed on Jun 5, 2019 at 11:10:43 AM by pardub

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Hi,

Thank you the reply.

duck --copy onedrive:bostonatexample.com@/Folder1/FolderA/ onedrive:chicagoatexample.com@/Folder2/

is working fine.

but I keep getting the following error message while trying to upload only a file to a folder ( which is in the same folder that the one that was uploaded successfully with the previous command) .

duck --copy onedrive:bostonatexample.com@/Folder1/FolderA/file1.txt onedrive:chicagoatexample.com@/Folder2/

The error message is :

"Upload test failed.Conflict.Cannot create an upload session on a folder.Please contact your web hosting service provider for assistance."

Thank you,

comment:5 Changed on Jun 22, 2019 at 6:36:57 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

You will have to use the full URL for the target including the filename such as

duck --copy onedrive:bostonatexample.com@/Folder1/FolderA/file1.txt onedrive:chicagoatexample.com@/Folder2/file1.txt

comment:6 follow-up: Changed on Jun 25, 2019 at 12:20:20 PM by pardub

Thank you,it works!

comment:7 in reply to: ↑ 6 Changed on Jun 25, 2019 at 12:52:25 PM by dkocher

Replying to pardub:

Thank you,it works!

Thanks for confirming.

Note: See TracTickets for help on using tickets.
swiss made software